| Home | Libraries | People | FAQ | More

## Function shrink_and_rebin

boost::histogram::algorithm::shrink_and_rebin — Shrink and rebin command to be used in `reduce`.

## Synopsis

    // In header: <boost/histogram/algorithm/reduce.hpp>

    reduce_command shrink_and_rebin(double lower, double upper, unsigned merge);

## Description

Command is applied to corresponding axis in order of reduce arguments.

To `shrink` and`rebin` in one command (see the respective commands for more details). Equivalent to passing both commands for the same axis to`reduce`.

Parameters:

`lower` | lowest bound that should be kept.
`merge` | how many adjacent bins to merge into one.
`upper` | highest bound that should be kept. If upper is inside bin interval, the whole interval is removed.